libcamera v0.6.0 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::IPASettings Struct Reference

IPA interface initialization settings. More...

## Public Attributes
std::string | configurationFile
| The name of the IPA configuration file.
std::string | sensorModel
| The sensor model name.

## Detailed Description

IPA interface initialization settings.

The IPASettings structure stores data passed to the IPAInterface::init() function. The data contains settings that don't depend on a particular camera or pipeline configuration and are valid for the whole life time of the IPA interface.

## Member Data Documentation

## ◆ configurationFile

std::string libcamera::IPASettings::configurationFile

The name of the IPA configuration file.

This field may be an empty string if the IPA doesn't require a configuration file.

## ◆ sensorModel

std::string libcamera::IPASettings::sensorModel

The sensor model name.

Provides the sensor model name to the IPA.

The documentation for this struct was generated from the following files:

- /build/libcamera/src/build/include/libcamera/ipa/core_ipa_interface.h
- /build/libcamera/src/build/src/libcamera/ipa/core_ipa_interface.cpp